Lists companies with cursor-based pagination and optional delta sync.
Query Parameters
- Type: stringFormat: date-timeupdated
_since Filter companies updated on or after this UTC timestamp (ISO 8601)
- Type: booleaninclude
_deleted Include deleted companies in results
- Type: stringpage
_size Pattern: ^-?(?:0|[1-9]\d*)$Format: int32Number of companies per page (1-500, default 500)
- Type: stringcursor
Opaque cursor token from previous response for pagination
Responses
- application/json
- application/problem+json
- application/problem+json
- application/problem+json
Request Example for get/api/v1/network/companies
curl 'https://app.propstreet.com/api/v1/network/companies?updated_since=&include_deleted=false&page_size=&cursor=' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"data": [
{
"id": "string",
"uri": null,
"externalRefs": [
{
"namespace": "string",
"id": "string"
}
],
"name": "string",
"countryCode": null,
"homepageUrl": null,
"linkedInUrl": null,
"domain": null,
"tags": [
"string"
],
"strategy": null,
"contacts": [
{
"id": "string",
"uri": null,
"firstName": null,
"lastName": null,
"email": null,
"jobTitle": null,
"isPrimary": true
}
],
"profilePictureUrl": null,
"createdUtc": "2026-05-18T20:22:36.959Z",
"updatedUtc": "2026-05-18T20:22:36.959Z",
"deletedUtc": null,
"etag": "string",
"changeType": null,
"changeOrigin": null
}
],
"page": {
"nextCursor": null,
"pageSize": "string",
"hasMore": true
}
}